{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":569,"path":"api-reference/rest-apis/work-order-mgmt-api.md","title":"Work Order Management API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Work Order Management API\n\nThe Work Order Management API provides endpoints to create, update, and retrieve work orders.\n\nThis API is included in the Telecommunication Open APIs application, which is available on the ServiceNow Store.\n\nThis API is provided within the `sn_tmf_api` namespace.\n\nThe calling user must have the sn\\_tmf\\_api.work\\_order\\_integrator role.\n\nThe Work Order Management API is a ServiceNow implementation of the TM Forum Work Order Management API REST specification. This implementation is based on the [TMF697 Work Order Management API v5.0](https://www.tmforum.org/oda/open-apis/directory/work-order-management-api-TMF697/v5.0.0).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Work Order Management - GET /sn\\_tmf\\_api/work\\_order\\_management\\_api/workorder/\\{id\\}\n\nRetrieves a specified work order from the Work Order \\[wm\\_order\\] table.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/work_order_management_api/workorder/{id}`\n\nDefault URL: `/api/sn_tmf_api/work_order_management_api/workorder/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id or external\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid values:\n\n-   @type\n-   category\n-   completionDate\n-   description\n-   expectedCompletionDate\n-   href\n-   id\n-   initiatedFrom\n-   priority\n-   requestedCompletionDate\n-   requestedStartDate\n-   shortDescription\n-   startDate\n-   state\n-   workOrderNumber\n\nDefault: Returns all fields.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table id=\"table_cdw_gk3_bgc\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncategory\n\n</td><td>\n\nCategory for the work order that can be used by an order management system, such as `enterprise` or `residential`.Data type: String\n\n</td></tr><tr><td>\n\nshortDescription\n\n</td><td>\n\nBrief summary of the work order.Data type: String\n\n</td></tr><tr><td>\n\nstartDate\n\n</td><td>\n\nDate and time when the order started.Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nRequested completion date and time.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the work order record.Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOrder fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date.Data type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td>\n\nPriority ranking for the work order.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the work order. Possible values:\n\n-   Draft\n-   Awaiting qualification\n-   Qualified\n-   Assigned\n-   Work in progress\n-   Complete\n\nData type: String\n\n</td></tr><tr><td>\n\ninitiatedFrom\n\n</td><td>\n\nReference id indicating where the work order was initiated.Data type: String\n\n</td></tr><tr><td>\n\ncompletionDate\n\n</td><td>\n\nDate and time the work order was completed.Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nExpected completion date and time designated by the provider.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderNumber\n\n</td><td>\n\nUnique identifier for the work order, such as WO0008004.Table: Work Order \\[wm\\_order\\]\n\nField: Number\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `WorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nThe geographic location associated with the work order.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\",\n   \"relatedParty\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nplace.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty\n\n</td><td>\n\nList of support groups for the location.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of associated contacts for the work order.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party.Table: Account \\[customer\\_account\\], Company \\[core\\_company\\], or User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the related party.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party.Possible values:\n\n-   Account\n-   Company\n-   Consumer\n-   Contact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedProductOrder\n\n</td><td>\n\nList of product orders for the work order.Data type: Array\n\n```\n\"relatedProductOrder\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedProductOrder.@type\n\n</td><td>\n\nThis value is always `ProductOrderRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedProductOrder.id\n\n</td><td>\n\nSys\\_id of the product order.Table: Product Order \\[sn\\_ind\\_tmt\\_orm\\_product\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier\n\n</td><td>\n\nList of external references such as vendor or correlation ID.Data type: Array\n\n```\n\"externalIdentifier\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nexternalIdentifier.@type\n\n</td><td>\n\nThis value is always `ExternalIdentifierRef`.Data type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier.id\n\n</td><td>\n\nExternal reference such as vendor or correlation ID.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem\n\n</td><td>\n\nList of tasks under the work order.Data type: Array\n\n```\n\"workOrderItem\": [\n   {\n      \"@type\": \"String\",\n      \"description\": \"String\",\n      \"id\": \"String\",\n      \"shortDescription\": \"String\",\n      \"state\": \"String\",\n      \"work\": {Object}\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.@type\n\n</td><td>\n\nThis value is always `WorkOrderItem`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.description\n\n</td><td>\n\nDescription of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.id\n\n</td><td>\n\nSys\\_id of the task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.shortDescription\n\n</td><td>\n\nShort description of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.state\n\n</td><td>\n\nState of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work\n\n</td><td>\n\nDescription of the work required for the task.Data type: Object\n\n```\n\"work\": {\n   \"@type\": \"String\",\n   \"expectedCompletionDate\": \"String\",\n   \"id\": \"String\",\n   \"place\": [Array],\n   \"relatedParty\": [Array],\n   \"relatedWork\": [Array],\n   \"scheduledStartDate\": \"String\",\n   \"workforceEmployeeAssignment\": [Array],\n   \"workPriority\": \"String\",\n   \"workType\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.expectedCompletionDate\n\n</td><td>\n\nExpected completion date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.id\n\n</td><td>\n\nSys\\_id of the work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place\n\n</td><td>\n\nList of geographic locations associated with the task.```\n\"place\": [\n   {\n      \"@type\": \"String\",\n      \"place\": {Object},\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.@type\n\n</td><td>\n\nThis value is always `RelatedPlaceRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place\n\n</td><td>\n\nDetails about the location.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.role\n\n</td><td>\n\nRole of this location in the context of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty\n\n</td><td>\n\nList of support groups for the task.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork\n\n</td><td>\n\nList of related work order tasks. Data type: Array\n\n```\n\"relatedWork\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork.id\n\n</td><td>\n\nSys\\_id of the related task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.scheduledStartDate\n\n</td><td>\n\nScheduled start date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment\n\n</td><td>\n\nAssignment details for the task.Data type: Array\n\n```\n\"workforceEmployeeAssignment\": [\n   {\n      \"@type\":\"String\",\n      \"id\": \"String\",\n      \"workforceEmployee\": {Object}      \n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.@type\n\n</td><td>\n\nThis value is always `WorkforceEmployeeAssignment`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.id\n\n</td><td>\n\nSys\\_id of the group assigned to the task.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee\n\n</td><td>\n\nDetails about the employee assigned to the task.Data type: Object\n\n```\n\"workforceEmployee\": {\n   \"@type\": \"String\",\n   \"contactMedium\": [Array],\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type\n\n</td><td>\n\nThis value is always `Individual`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium\n\n</td><td>\n\nList of the employee's phone numbers.Data type: Array\n\n```\n\"contactMedium\": [\n   {\n      \"@type\": \"String\",\n      \"phoneNumber\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type\n\n</td><td>\n\nThis value is always `PhoneContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber\n\n</td><td>\n\nPhone number for the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id\n\n</td><td>\n\nSys\\_id of the employee.Table: User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name\n\n</td><td>\n\nName of the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workPriority\n\n</td><td>\n\nPriority ranking for the task.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workType\n\n</td><td>\n\nThe work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nField: Name\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship\n\n</td><td>\n\nList of task relationships to the work order.Data type: Array\n\n```\n\"workOrderRelationship\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"relationshipType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderRelationship.@type\n\n</td><td>\n\nThis value is always `OrderRelationship`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship.id\n\n</td><td>\n\nSys\\_id of the task relationship.Table: Task Relationship \\[task\\_rel\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship.relationshipType\n\n</td><td>\n\nTask relationship type.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the order.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"author\": \"String\",\n      \"date\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nAuthor of the note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate the note was added to the work order.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieves the specified work order.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workorder/27e756a1df113100dca6a5f59bf263da\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n   \"@type\": \"WorkOrder\",\n   \"href\": \"api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98\",\n   \"workOrderNumber\": \"WO0008004\",\n   \"id\": \"6d22c6f0ff0de650f8dfffffffffff98\",\n   \"category\": \"test\",\n   \"shortDescription\": \"Test-Test\",\n   \"description\": \"Test\",\n   \"startDate\": \"\",\n   \"requestedCompletionDate\": \"2025-04-19 07:17:04\",\n   \"requestedStartDate\": \"\",\n   \"state\": \"Awaiting Qualification\",\n   \"priority\": \"4 - Low\",\n   \"initiatedFrom\": \"\",\n   \"completionDate\": \"\",\n   \"expectedCompletionDate\": \"\",\n   \"place\": {\n      \"@type\": \"GeographicSite\",\n      \"id\": \"920cf6ac73d423002728660c4cf6a799\",\n      \"relatedParty\": [\n         {\n            \"@type\": \"RelatedPartyRef\",\n            \"id\": \"320ee92637232000158bbfc8bcbe5d40\",\n            \"name\": \"East Qualifiers\",\n            \"role\": \"QualificationGroup\"\n         }\n      ]\n   },\n   \"relatedParty\": [\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"5408091a3b100300e81d47b334efc452\",\n         \"name\": \"Ashley Parker\",\n         \"role\": \"Contact\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"\",\n         \"name\": \"\",\n         \"role\": \"Account\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"\",\n         \"name\": \"\",\n         \"role\": \"Consumer\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"820351a1c0a8018b67c73d51c074097c\",\n         \"name\": \"Acer\",\n         \"role\": \"Company\"\n      }\n   ],\n   \"appointment\": {},\n   \"relatedProductOrder\": [\n      {\n         \"@type\": \"ProductOrderRef\",\n         \"id\": \"19f5456dff092a50f8dfffffffffff01\"\n      },\n      {\n         \"@type\": \"ProductOrderRef\",\n         \"id\": \"7116456dff092a50f8dfffffffffff6e\"\n      }\n   ],\n   \"externalIdentifier\": [\n      {\n         \"@type\": \"ExternalIdentifierRef\",\n         \"id\": \"r6879\"\n      }\n   ],\n   \"workOrderItem\": [\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"2fa566fdff456a50f8dfffffffffffc6\",\n         \"shortDescription\": \"abc\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"2fa566fdff456a50f8dfffffffffffc6\",\n            \"workType\": \"\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"25ab8dcd0a0a0bb300bd8a8899934d72\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"bb420af0ff0de650f8dfffffffffff4a\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"c301e379ff096a50f8dfffffffffff43\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      },\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"bb420af0ff0de650f8dfffffffffff4a\",\n         \"shortDescription\": \"Test\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"bb420af0ff0de650f8dfffffffffff4a\",\n            \"workType\": \"38f719ec3b8a10103f09080044efc4cd\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"920cf6ac73d423002728660c4cf6a799\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"2fa566fdff456a50f8dfffffffffffc6\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"c301e379ff096a50f8dfffffffffff43\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      },\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"c301e379ff096a50f8dfffffffffff43\",\n         \"shortDescription\": \"hi\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"c301e379ff096a50f8dfffffffffff43\",\n            \"workType\": \"\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"6808184aeb211100420124e05206fe12\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"2fa566fdff456a50f8dfffffffffffc6\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"bb420af0ff0de650f8dfffffffffff4a\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      }\n   ],\n   \"workOrderRelationship\": [\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"02016b46ffcd6a50f8dfffffffffff31\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"0e016b46ffcd6a50f8dfffffffffff30\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"66da174eff8d6a50f8dfffffffffffda\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"aada174eff8d6a50f8dfffffffffffd9\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"bd20e706ffcd6a50f8dfffffffffffc6\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"c2016b46ffcd6a50f8dfffffffffff31\",\n         \"relationshipType\": \"Contains::Task of\"\n      }\n   ],\n   \"note\": [\n      {\n         \"@type\": \"Note\",\n         \"author\": \"System Administrator\",\n         \"date\": \"2025-04-23\",\n         \"text\": \"This is a note.\"\n      }\n   ]\n}\n```\n\n## Work Order Management - GET /sn\\_tmf\\_api/work\\_order\\_management\\_api/workordermanagement\n\nRetrieves a list of all work orders from the Work Order \\[wm\\_order\\] table.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/work_order_management_api/workordermanagement`\n\nDefault URL: `/api/sn_tmf_api/work_order_management_api/workordermanagement`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored.Valid values:\n\n-   @type\n-   category\n-   completionDate\n-   description\n-   expectedCompletionDate\n-   href\n-   id\n-   initiatedFrom\n-   priority\n-   requestedCompletionDate\n-   requestedStartDate\n-   shortDescription\n-   startDate\n-   state\n-   workOrderNumber\n\nDefault: Returns all fields.\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_ids to use to filter work orders. Only work orders matching the specified sys\\_ids are returned in the response.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval.Default: 20\n\nData type: Number\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Default: 0\n\nData type: Number\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n<table id=\"table_lpj_dh1_vxb\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr><td>\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|206|Partial content. The request was successfully processed and returned a partial range of content specified by a paginated call.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncategory\n\n</td><td>\n\nCategory for the work order that can be used by an order management system, such as `enterprise` or `residential`.Data type: String\n\n</td></tr><tr><td>\n\nshortDescription\n\n</td><td>\n\nBrief summary of the work order.Data type: String\n\n</td></tr><tr><td>\n\nstartDate\n\n</td><td>\n\nDate and time when the order started.Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nRequested completion date and time.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the work order record.Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOrder fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date.Data type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td>\n\nPriority ranking for the work order.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the work order. Possible values:\n\n-   Draft\n-   Awaiting qualification\n-   Qualified\n-   Assigned\n-   Work in progress\n-   Complete\n\nData type: String\n\n</td></tr><tr><td>\n\ninitiatedFrom\n\n</td><td>\n\nReference id indicating where the work order was initiated.Data type: String\n\n</td></tr><tr><td>\n\ncompletionDate\n\n</td><td>\n\nDate and time the work order was completed.Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nExpected completion date and time designated by the provider.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderNumber\n\n</td><td>\n\nUnique identifier for the work order, such as WO0008004.Table: Work Order \\[wm\\_order\\]\n\nField: Number\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `WorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nThe geographic location associated with the work order.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\",\n   \"relatedParty\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nplace.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty\n\n</td><td>\n\nList of support groups for the location.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of associated contacts for the work order.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party.Table: Account \\[customer\\_account\\], Company \\[core\\_company\\], or User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the related party.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party.Possible values:\n\n-   Account\n-   Company\n-   Consumer\n-   Contact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedProductOrder\n\n</td><td>\n\nList of product orders for the work order.Data type: Array\n\n```\n\"relatedProductOrder\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedProductOrder.@type\n\n</td><td>\n\nThis value is always `ProductOrderRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedProductOrder.id\n\n</td><td>\n\nSys\\_id of the product order.Table: Product Order \\[sn\\_ind\\_tmt\\_orm\\_product\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier\n\n</td><td>\n\nList of external references such as vendor or correlation ID.Data type: Array\n\n```\n\"externalIdentifier\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nexternalIdentifier.@type\n\n</td><td>\n\nThis value is always `ExternalIdentifierRef`.Data type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier.id\n\n</td><td>\n\nExternal reference such as vendor or correlation ID.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem\n\n</td><td>\n\nList of tasks under the work order.Data type: Array\n\n```\n\"workOrderItem\": [\n   {\n      \"@type\": \"String\",\n      \"description\": \"String\",\n      \"id\": \"String\",\n      \"shortDescription\": \"String\",\n      \"state\": \"String\",\n      \"work\": {Object}\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.@type\n\n</td><td>\n\nThis value is always `WorkOrderItem`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.description\n\n</td><td>\n\nDescription of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.id\n\n</td><td>\n\nSys\\_id of the task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.shortDescription\n\n</td><td>\n\nShort description of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.state\n\n</td><td>\n\nState of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work\n\n</td><td>\n\nDescription of the work required for the task.Data type: Object\n\n```\n\"work\": {\n   \"@type\": \"String\",\n   \"expectedCompletionDate\": \"String\",\n   \"id\": \"String\",\n   \"place\": [Array],\n   \"relatedParty\": [Array],\n   \"relatedWork\": [Array],\n   \"scheduledStartDate\": \"String\",\n   \"workforceEmployeeAssignment\": [Array],\n   \"workPriority\": \"String\",\n   \"workType\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.expectedCompletionDate\n\n</td><td>\n\nExpected completion date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.id\n\n</td><td>\n\nSys\\_id of the work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place\n\n</td><td>\n\nList of geographic locations associated with the task.```\n\"place\": [\n   {\n      \"@type\": \"String\",\n      \"place\": {Object},\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.@type\n\n</td><td>\n\nThis value is always `RelatedPlaceRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place\n\n</td><td>\n\nDetails about the location.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.role\n\n</td><td>\n\nRole of this location in the context of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty\n\n</td><td>\n\nList of support groups for the task.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork\n\n</td><td>\n\nList of related work order tasks. Data type: Array\n\n```\n\"relatedWork\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedWork.id\n\n</td><td>\n\nSys\\_id of the related task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.scheduledStartDate\n\n</td><td>\n\nScheduled start date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment\n\n</td><td>\n\nAssignment details for the task.Data type: Array\n\n```\n\"workforceEmployeeAssignment\": [\n   {\n      \"@type\":\"String\",\n      \"id\": \"String\",\n      \"workforceEmployee\": {Object}      \n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.@type\n\n</td><td>\n\nThis value is always `WorkforceEmployeeAssignment`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.id\n\n</td><td>\n\nSys\\_id of the group assigned to the task.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee\n\n</td><td>\n\nDetails about the employee assigned to the task.Data type: Object\n\n```\n\"workforceEmployee\": {\n   \"@type\": \"String\",\n   \"contactMedium\": [Array],\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type\n\n</td><td>\n\nThis value is always `Individual`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium\n\n</td><td>\n\nList of the employee's phone numbers.Data type: Array\n\n```\n\"contactMedium\": [\n   {\n      \"@type\": \"String\",\n      \"phoneNumber\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type\n\n</td><td>\n\nThis value is always `PhoneContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber\n\n</td><td>\n\nPhone number for the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id\n\n</td><td>\n\nSys\\_id of the employee.Table: User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name\n\n</td><td>\n\nName of the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workPriority\n\n</td><td>\n\nPriority ranking for the task.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workType\n\n</td><td>\n\nThe work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nField: Name\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship\n\n</td><td>\n\nList of task relationships to the work order.Data type: Array\n\n```\n\"workOrderRelationship\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"relationshipType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderRelationship.@type\n\n</td><td>\n\nThis value is always `OrderRelationship`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship.id\n\n</td><td>\n\nSys\\_id of the task relationship.Table: Task Relationship \\[task\\_rel\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderRelationship.relationshipType\n\n</td><td>\n\nTask relationship type.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the order.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"author\": \"String\",\n      \"date\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nAuthor of the note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate the note was added to the work order.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nRetrieves the first page of work orders.\n\n```\ncurl \"https://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workordermanagement\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n[{\n   \"@type\": \"WorkOrder\",\n   \"href\": \"api/sn_tmf_api/workordermanagement/workorder/6d22c6f0ff0de650f8dfffffffffff98\",\n   \"workOrderNumber\": \"WO0008004\",\n   \"id\": \"6d22c6f0ff0de650f8dfffffffffff98\",\n   \"category\": \"test\",\n   \"shortDescription\": \"Test-Test\",\n   \"description\": \"Test\",\n   \"startDate\": \"\",\n   \"requestedCompletionDate\": \"2025-04-19 07:17:04\",\n   \"requestedStartDate\": \"\",\n   \"state\": \"Awaiting Qualification\",\n   \"priority\": \"4 - Low\",\n   \"initiatedFrom\": \"\",\n   \"completionDate\": \"\",\n   \"expectedCompletionDate\": \"\",\n   \"place\": {\n      \"@type\": \"GeographicSite\",\n      \"id\": \"920cf6ac73d423002728660c4cf6a799\",\n      \"relatedParty\": [\n         {\n            \"@type\": \"RelatedPartyRef\",\n            \"id\": \"320ee92637232000158bbfc8bcbe5d40\",\n            \"name\": \"East Qualifiers\",\n            \"role\": \"QualificationGroup\"\n         }\n      ]\n   },\n   \"relatedParty\": [\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"5408091a3b100300e81d47b334efc452\",\n         \"name\": \"Ashley Parker\",\n         \"role\": \"Contact\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"\",\n         \"name\": \"\",\n         \"role\": \"Account\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"\",\n         \"name\": \"\",\n         \"role\": \"Consumer\"\n      },\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"820351a1c0a8018b67c73d51c074097c\",\n         \"name\": \"Acer\",\n         \"role\": \"Company\"\n      }\n   ],\n   \"appointment\": {},\n   \"relatedProductOrder\": [\n      {\n         \"@type\": \"ProductOrderRef\",\n         \"id\": \"19f5456dff092a50f8dfffffffffff01\"\n      },\n      {\n         \"@type\": \"ProductOrderRef\",\n         \"id\": \"7116456dff092a50f8dfffffffffff6e\"\n      }\n   ],\n   \"externalIdentifier\": [\n      {\n         \"@type\": \"ExternalIdentifierRef\",\n         \"id\": \"r6879\"\n      }\n   ],\n   \"workOrderItem\": [\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"2fa566fdff456a50f8dfffffffffffc6\",\n         \"shortDescription\": \"abc\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"2fa566fdff456a50f8dfffffffffffc6\",\n            \"workType\": \"\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"25ab8dcd0a0a0bb300bd8a8899934d72\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"bb420af0ff0de650f8dfffffffffff4a\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"c301e379ff096a50f8dfffffffffff43\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      },\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"bb420af0ff0de650f8dfffffffffff4a\",\n         \"shortDescription\": \"Test\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"bb420af0ff0de650f8dfffffffffff4a\",\n            \"workType\": \"38f719ec3b8a10103f09080044efc4cd\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"920cf6ac73d423002728660c4cf6a799\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"2fa566fdff456a50f8dfffffffffffc6\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"c301e379ff096a50f8dfffffffffff43\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      },\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"c301e379ff096a50f8dfffffffffff43\",\n         \"shortDescription\": \"hi\",\n         \"description\": \"\",\n         \"state\": \"Draft\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"id\": \"c301e379ff096a50f8dfffffffffff43\",\n            \"workType\": \"\",\n            \"scheduledStartDate\": \"\",\n            \"expectedCompletionDate\": \"\",\n            \"workPriority\": \"4 - Low\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"role\": \"string\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"6808184aeb211100420124e05206fe12\"\n                  }\n               }\n            ],\n            \"relatedWork\": [\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"2fa566fdff456a50f8dfffffffffffc6\"\n               },\n               {\n                  \"@type\": \"WorkRefOrValue\",\n                  \"id\": \"bb420af0ff0de650f8dfffffffffff4a\"\n               }\n            ],\n            \"relatedParty\": [],\n            \"workforceEmployeeAssignment\": []\n         }\n      }\n   ],\n   \"workOrderRelationship\": [\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"02016b46ffcd6a50f8dfffffffffff31\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"0e016b46ffcd6a50f8dfffffffffff30\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"66da174eff8d6a50f8dfffffffffffda\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"aada174eff8d6a50f8dfffffffffffd9\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"bd20e706ffcd6a50f8dfffffffffffc6\",\n         \"relationshipType\": \"Contains::Task of\"\n      },\n      {\n         \"@type\": \"OrderRelationship\",\n         \"id\": \"c2016b46ffcd6a50f8dfffffffffff31\",\n         \"relationshipType\": \"Contains::Task of\"\n      }\n   ],\n   \"note\": [\n      {\n         \"@type\": \"Note\",\n         \"author\": \"System Administrator\",\n         \"date\": \"2025-04-23\",\n         \"text\": \"This is a note.\"\n      }\n   ]\n}]\n```\n\n## Work Order Management - PATCH /sn\\_tmf\\_api/work\\_order\\_management\\_api/workOrder/\\{id\\}\n\nUpdates a work order and associated tasks.\n\nThe work order record is updated in the Work Order \\[wm\\_order\\] table. Task records are updated in the Work Order Task \\[wm\\_task\\] table.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/work_order_management_api/workOrder/{id}`\n\nDefault URL: `/api/sn_tmf_api/work_order_management_api/workOrder/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nshortDescription\n\n</td><td>\n\nBrief summary of the work order.Data type: String\n\n</td></tr><tr><td>\n\nstartDate\n\n</td><td>\n\nDate and time when the order started.Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nRequested completion date and time.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the work order record.Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOrder fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date.Data type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td>\n\nPriority ranking for the work order.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the work order. Possible values:\n\n-   Draft\n-   Awaiting qualification\n-   Qualified\n-   Assigned\n-   Work in progress\n-   Complete\n\nData type: String\n\n</td></tr><tr><td>\n\ninitiatedFrom\n\n</td><td>\n\nReference id indicating where the work order was initiated.Data type: String\n\n</td></tr><tr><td>\n\ncompletionDate\n\n</td><td>\n\nDate and time the work order was completed.Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nExpected completion date and time designated by the provider.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderNumber\n\n</td><td>\n\nUnique identifier for the work order, such as WO0008004.Table: Work Order \\[wm\\_order\\]\n\nField: Number\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `WorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\ntemplateId\n\n</td><td>\n\nSys\\_id of the template to use for the work order.Table: Product Model \\[cmdb\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nThe geographic location associated with the work order.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\",\n   \"relatedParty\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nplace.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty\n\n</td><td>\n\nList of support groups for the location.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of associated contacts for the work order.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party.Table: Account \\[customer\\_account\\], Company \\[core\\_company\\], or User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the related party.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party.Possible values:\n\n-   Account\n-   Company\n-   Consumer\n-   Contact\n\nData type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier\n\n</td><td>\n\nList of external references such as vendor or correlation ID.Data type: Array\n\n```\n\"externalIdentifier\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nexternalIdentifier.@type\n\n</td><td>\n\nThis value is always `ExternalIdentifierRef`.Data type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier.id\n\n</td><td>\n\nExternal reference such as vendor or correlation ID.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem\n\n</td><td>\n\nList of tasks under the work order.Data type: Array\n\n```\n\"workOrderItem\": [\n   {\n      \"@type\": \"String\",\n      \"action\": \"String\",\n      \"completionDate\": \"String\",\n      \"description\": \"String\",\n      \"id\": \"String\",\n      \"note\": {Object},\n      \"shortDescription\": \"String\",\n      \"state\": \"String\",\n      \"work\": {Object}\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.@type\n\n</td><td>\n\nThis value is always `WorkOrderItem`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.action\n\n</td><td>\n\nAction to perform on the product for the task. Possible values:\n\n-   add\n-   delete\n-   modify\n-   noChange\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.completionDate\n\n</td><td>\n\nDate and time the task was completed.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.description\n\n</td><td>\n\nDescription of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.id\n\n</td><td>\n\nSys\\_id of the task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note\n\n</td><td>\n\nList of notes about the task.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.note.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.shortDescription\n\n</td><td>\n\nShort description of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.state\n\n</td><td>\n\nState of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work\n\n</td><td>\n\nDescription of the work required for the task.Data type: Object\n\n```\n\"work\": {\n   \"@type\": \"String\",\n   \"expectedCompletionDate\": \"String\",\n   \"id\": \"String\",\n   \"place\": [Array],\n   \"relatedParty\": [Array],\n   \"scheduledStartDate\": \"String\",\n   \"workforceEmployeeAssignment\": [Array],\n   \"workPriority\": \"String\",\n   \"workType\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.expectedCompletionDate\n\n</td><td>\n\nExpected completion date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.id\n\n</td><td>\n\nSys\\_id of the work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place\n\n</td><td>\n\nList of geographic locations associated with the task.```\n\"place\": [\n   {\n      \"@type\": \"String\",\n      \"place\": {Object},\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.@type\n\n</td><td>\n\nThis value is always `RelatedPlaceRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place\n\n</td><td>\n\nDetails about the location.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.role\n\n</td><td>\n\nRole of this location in the context of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty\n\n</td><td>\n\nList of support groups for the task.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.scheduledStartDate\n\n</td><td>\n\nScheduled start date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment\n\n</td><td>\n\nAssignment details for the task.Data type: Array\n\n```\n\"workforceEmployeeAssignment\": [\n   {\n      \"@type\":\"String\",\n      \"id\": \"String\",\n      \"workforceEmployee\": {Object}      \n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.@type\n\n</td><td>\n\nThis value is always `WorkforceEmployeeAssignment`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.id\n\n</td><td>\n\nSys\\_id of the group assigned to the task.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee\n\n</td><td>\n\nDetails about the employee assigned to the task.Data type: Object\n\n```\n\"workforceEmployee\": {\n   \"@type\": \"String\",\n   \"contactMedium\": [Array],\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type\n\n</td><td>\n\nThis value is always `Individual`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium\n\n</td><td>\n\nList of the employee's phone numbers.Data type: Array\n\n```\n\"contactMedium\": [\n   {\n      \"@type\": \"String\",\n      \"phoneNumber\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type\n\n</td><td>\n\nThis value is always `PhoneContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber\n\n</td><td>\n\nPhone number for the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id\n\n</td><td>\n\nSys\\_id of the employee.Table: User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name\n\n</td><td>\n\nName of the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workPriority\n\n</td><td>\n\nPriority ranking for the task.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workType\n\n</td><td>\n\nThe work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nField: Name\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the order.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nshortDescription\n\n</td><td>\n\nBrief summary of the work order.Data type: String\n\n</td></tr><tr><td>\n\nstartDate\n\n</td><td>\n\nDate and time when the order started.Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nRequested completion date and time.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the work order record.Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOrder fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date.Data type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td>\n\nPriority ranking for the work order.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the work order. Possible values:\n\n-   Draft\n-   Awaiting qualification\n-   Qualified\n-   Assigned\n-   Work in progress\n-   Complete\n\nData type: String\n\n</td></tr><tr><td>\n\ninitiatedFrom\n\n</td><td>\n\nReference id indicating where the work order was initiated.Data type: String\n\n</td></tr><tr><td>\n\ncompletionDate\n\n</td><td>\n\nDate and time the work order was completed.Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nExpected completion date and time designated by the provider.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderNumber\n\n</td><td>\n\nUnique identifier for the work order, such as WO0008004.Table: Work Order \\[wm\\_order\\]\n\nField: Number\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `WorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\ntemplateId\n\n</td><td>\n\nSys\\_id of the template to use for the work order.Table: Product Model \\[cmdb\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nThe geographic location associated with the work order.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\",\n   \"relatedParty\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nplace.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty\n\n</td><td>\n\nList of support groups for the location.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of associated contacts for the work order.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party.Table: Account \\[customer\\_account\\], Company \\[core\\_company\\], or User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the related party.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party.Possible values:\n\n-   Account\n-   Company\n-   Consumer\n-   Contact\n\nData type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier\n\n</td><td>\n\nList of external references such as vendor or correlation ID.Data type: Array\n\n```\n\"externalIdentifier\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nexternalIdentifier.@type\n\n</td><td>\n\nThis value is always `ExternalIdentifierRef`.Data type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier.id\n\n</td><td>\n\nExternal reference such as vendor or correlation ID.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem\n\n</td><td>\n\nList of tasks under the work order.Data type: Array\n\n```\n\"workOrderItem\": [\n   {\n      \"@type\": \"String\",\n      \"action\": \"String\",\n      \"completionDate\": \"String\",\n      \"description\": \"String\",\n      \"id\": \"String\",\n      \"note\": {Object},\n      \"shortDescription\": \"String\",\n      \"state\": \"String\",\n      \"work\": {Object}\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.@type\n\n</td><td>\n\nThis value is always `WorkOrderItem`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.action\n\n</td><td>\n\nAction to perform on the product for the task. Possible values:\n\n-   add\n-   delete\n-   modify\n-   noChange\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.completionDate\n\n</td><td>\n\nDate and time the task was completed.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.description\n\n</td><td>\n\nDescription of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.id\n\n</td><td>\n\nSys\\_id of the task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note\n\n</td><td>\n\nList of notes about the task.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.note.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.shortDescription\n\n</td><td>\n\nShort description of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.state\n\n</td><td>\n\nState of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work\n\n</td><td>\n\nDescription of the work required for the task.Data type: Object\n\n```\n\"work\": {\n   \"@type\": \"String\",\n   \"expectedCompletionDate\": \"String\",\n   \"id\": \"String\",\n   \"place\": [Array],\n   \"relatedParty\": [Array],\n   \"scheduledStartDate\": \"String\",\n   \"workforceEmployeeAssignment\": [Array],\n   \"workPriority\": \"String\",\n   \"workType\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.expectedCompletionDate\n\n</td><td>\n\nExpected completion date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.id\n\n</td><td>\n\nSys\\_id of the work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place\n\n</td><td>\n\nList of geographic locations associated with the task.```\n\"place\": [\n   {\n      \"@type\": \"String\",\n      \"place\": {Object},\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.@type\n\n</td><td>\n\nThis value is always `RelatedPlaceRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place\n\n</td><td>\n\nDetails about the location.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.role\n\n</td><td>\n\nRole of this location in the context of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty\n\n</td><td>\n\nList of support groups for the task.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.scheduledStartDate\n\n</td><td>\n\nScheduled start date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment\n\n</td><td>\n\nAssignment details for the task.Data type: Array\n\n```\n\"workforceEmployeeAssignment\": [\n   {\n      \"@type\":\"String\",\n      \"id\": \"String\",\n      \"workforceEmployee\": {Object}      \n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.@type\n\n</td><td>\n\nThis value is always `WorkforceEmployeeAssignment`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.id\n\n</td><td>\n\nSys\\_id of the group assigned to the task.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee\n\n</td><td>\n\nDetails about the employee assigned to the task.Data type: Object\n\n```\n\"workforceEmployee\": {\n   \"@type\": \"String\",\n   \"contactMedium\": [Array],\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type\n\n</td><td>\n\nThis value is always `Individual`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium\n\n</td><td>\n\nList of the employee's phone numbers.Data type: Array\n\n```\n\"contactMedium\": [\n   {\n      \"@type\": \"String\",\n      \"phoneNumber\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type\n\n</td><td>\n\nThis value is always `PhoneContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber\n\n</td><td>\n\nPhone number for the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id\n\n</td><td>\n\nSys\\_id of the employee.Table: User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.name\n\n</td><td>\n\nName of the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workPriority\n\n</td><td>\n\nPriority ranking for the task.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workType\n\n</td><td>\n\nThe work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nField: Name\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the order.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nUpdates the specified work order.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n   \"@type\": \"WorkOrder\",\n   \"description\": \"Fixed Fibre Broadband Installation\",\n   \"shortDescription\": \"Fixed Fibre\",\n   \"priority\": \"1 - Critical\",\n   \"place\": {\n      \"@type\": \"GeographicSite\",\n      \"id\": \"f48b22530a0a0ba70001913a1c181eeb\",\n      \"relatedParty\": [\n         {\n            \"role\": \"QualificationGroup\",\n            \"id\": \"781da52637232000158bbfc8bcbe5db8\",\n            \"name\": \"Jane Smith\",\n            \"@type\": \"PartyRef\",\n            \"@referredType\": \"Individual\"\n         }\n      ]\n   },\n   \"relatedParty\": [\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"86a08090ffcd62105e0dffffffffff8b\",\n         \"name\": \"Workforce Engineering Group\",\n         \"role\": \"Consumer\"\n      }\n   ],\n   \"workOrderItem\": [\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"3df59e8cff5d26105e0dffffffffff0e\",\n         \"action\": \"add\",\n         \"description\": \"FTTH Installation\",\n         \"shortDescription\": \"FTTH Installation\",\n         \"completionDate\": \"2024-04-22T14:23:06.528Z\",\n         \"state\": \"Accepted\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"scheduledStartDate\": \"2024-04-22T14:23:06.528Z\",\n            \"workType\": \"38f719ec3b8a10103f09080044efc4cd\",\n            \"description\": \"Cabinet Configuration\",\n            \"name\": \"FTTH Installation\",\n            \"workPriority\": \"high\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"b04b813bffc126105e0dffffffffff0d\"\n                  }\n               }\n            ],\n            \"note\": {\n               \"@type\": \"Note\",\n               \"text\": \"Demand Point Type: SDU\"\n            }\n         }\n      }\n   ],\n   \"note\": {\n      \"@type\": \"Note\",\n      \"text\": \"This is important\"\n   }\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n   \"@type\": \"WorkOrder\",\n   \"description\": \"Fixed Fibre Broadband Installation\",\n   \"shortDescription\": \"Fixed Fibre\",\n   \"priority\": \"1 - Critical\",\n   \"place\": {\n      \"@type\": \"GeographicSite\",\n      \"id\": \"f48b22530a0a0ba70001913a1c181eeb\",\n      \"relatedParty\": [\n         {\n            \"role\": \"QualificationGroup\",\n            \"id\": \"781da52637232000158bbfc8bcbe5db8\",\n            \"name\": \"Jane Smith\",\n            \"@type\": \"PartyRef\",\n            \"@referredType\": \"Individual\"\n         }\n      ]\n   },\n   \"relatedParty\": [\n      {\n         \"@type\": \"RelatedPartyRef\",\n         \"id\": \"86a08090ffcd62105e0dffffffffff8b\",\n         \"name\": \"Workforce Engineering Group\",\n         \"role\": \"Consumer\"\n      }\n   ],\n   \"workOrderItem\": [\n      {\n         \"@type\": \"WorkOrderItem\",\n         \"id\": \"3df59e8cff5d26105e0dffffffffff0e\",\n         \"action\": \"add\",\n         \"description\": \"FTTH Installation\",\n         \"shortDescription\": \"FTTH Installation\",\n         \"completionDate\": \"2024-04-22T14:23:06.528Z\",\n         \"state\": \"Accepted\",\n         \"work\": {\n            \"@type\": \"WorkRefOrValue\",\n            \"scheduledStartDate\": \"2024-04-22T14:23:06.528Z\",\n            \"workType\": \"38f719ec3b8a10103f09080044efc4cd\",\n            \"description\": \"Cabinet Configuration\",\n            \"name\": \"FTTH Installation\",\n            \"workPriority\": \"high\",\n            \"place\": [\n               {\n                  \"@type\": \"RelatedPlaceRefOrValue\",\n                  \"place\": {\n                     \"@type\": \"GeographicSite\",\n                     \"id\": \"b04b813bffc126105e0dffffffffff0d\"\n                  }\n               }\n            ],\n            \"note\": {\n               \"@type\": \"Note\",\n               \"text\": \"Demand Point Type: SDU\"\n            }\n         }\n      }\n   ],\n   \"note\": {\n      \"@type\": \"Note\",\n      \"text\": \"This is important\"\n   },\n   \"id\": \"2d3f32f0df113100dca6a5f59bf263a9\",\n   \"href\": \"/api/sn_tmf_api/work_order_management_api/workOrder/2d3f32f0df113100dca6a5f59bf263a9\"\n}\n```\n\n## Work Order Management - POST /sn\\_tmf\\_api/work\\_order\\_management\\_api/cancelWorkOrder\n\nCancels a specified work order and all associated tasks.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/work_order_management_api/cancelWorkOrder`\n\nDefault URL: `/api/sn_tmf_api/work_order_management_api/cancelWorkOrder`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `CancelWorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\ncancellationReason\n\n</td><td>\n\nReason for canceling the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrder\n\n</td><td>\n\nDetails about the work order.Data type: Object\n\n```\n\"workOrder\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrder.@type\n\n</td><td>\n\nThis value is always `WorkOrderRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrder.id\n\n</td><td>\n\nRequired. Sys\\_id of the work order to cancel.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n\n### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `CancelWorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\ncancellationReason\n\n</td><td>\n\nReason for canceling the work order.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the cancellation request. If the work order was successfully canceled, this value is `Cancelled`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrder\n\n</td><td>\n\nDetails about the work order.Data type: Object\n\n```\n\"workOrder\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrder.@type\n\n</td><td>\n\nThis value is always `WorkOrderRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrder.id\n\n</td><td>\n\nSys\\_id of the canceled work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nCancels the specified work order.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_tmf_api/work_order_management_api/cancelWorkOrder\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n   \"@type\": \"CancelWorkOrder\",\n   \"cancellationReason\": \"Workforce unavailability\",\n   \"workOrder\": {\n      \"@type\": \"WorkOrderRef\",\n      \"id\": \"f8ec1c38-4e4d-4378-a693-f95680e51e25\"\n   }\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n  \"@type\": \"CancelWorkOrder\",\n  \"cancellationReason\": \"Workforce unavailability\",\n  \"state\": \"Cancelled\",\n  \"workOrder\": {\n    \"@type\": \"WorkOrderRef\",\n    \"id\": \"f8ec1c38-4e4d-4378-a693-f95680e51e25\"\n  }\n}\n```\n\n## Work Order Management - POST /sn\\_tmf\\_api/work\\_order\\_management\\_api/workOrder\n\nCreates a work order and associated tasks.\n\nA record for the work order is created in the Work Order \\[wm\\_order\\] table. A record for each task is created in the Work Order Task \\[wm\\_task\\] table.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/work_order_management_api/workOrder`\n\nDefault URL: `/api/sn_tmf_api/work_order_management_api/workOrder`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncategory\n\n</td><td>\n\nCategory for the work order that can be used by an order management system, such as `enterprise` or `residential`.Data type: String\n\n</td></tr><tr><td>\n\nshortDescription\n\n</td><td>\n\nBrief summary of the work order.Data type: String\n\n</td></tr><tr><td>\n\nstartDate\n\n</td><td>\n\nDate and time when the order started.Data type: String\n\n</td></tr><tr><td>\n\nrequestedCompletionDate\n\n</td><td>\n\nRequested completion date and time.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the work order record.Data type: String\n\n</td></tr><tr><td>\n\nrequestedStartDate\n\n</td><td>\n\nOrder fulfillment start date designated by the requester. Used in cases where the requester can't allow the provider to begin fulfillment before a specified date.Data type: String\n\n</td></tr><tr><td>\n\npriority\n\n</td><td>\n\nPriority ranking for the work order.Possible values:\n\n-   1 - Critical\n-   2 - High\n-   3 - Moderate\n-   4 - Low\n-   5 - Planning\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the work order. Possible values:\n\n-   Draft\n-   Awaiting qualification\n-   Qualified\n-   Assigned\n-   Work in progress\n-   Complete\n\nData type: String\n\n</td></tr><tr><td>\n\ninitiatedFrom\n\n</td><td>\n\nReference id indicating where the work order was initiated.Data type: String\n\n</td></tr><tr><td>\n\ncompletionDate\n\n</td><td>\n\nDate and time the work order was completed.Data type: String\n\n</td></tr><tr><td>\n\nexpectedCompletionDate\n\n</td><td>\n\nExpected completion date and time designated by the provider.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the work order.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderNumber\n\n</td><td>\n\nUnique identifier for the work order, such as WO0008004.Table: Work Order \\[wm\\_order\\]\n\nField: Number\n\nData type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the work order.Table: Work Order \\[wm\\_order\\]\n\nData type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nThis value is always `WorkOrder`.Data type: String\n\n</td></tr><tr><td>\n\ntemplateId\n\n</td><td>\n\nSys\\_id of the template to use for the work order.Table: Product Model \\[cmdb\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nThe geographic location associated with the work order.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\",\n   \"relatedParty\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nplace.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty\n\n</td><td>\n\nList of support groups for the location.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nplace.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nplace.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of associated contacts for the work order.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party.Table: Account \\[customer\\_account\\], Company \\[core\\_company\\], or User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the related party.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party.Possible values:\n\n-   Account\n-   Company\n-   Consumer\n-   Contact\n\nData type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier\n\n</td><td>\n\nList of external references such as vendor or correlation ID.Data type: Array\n\n```\n\"externalIdentifier\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nexternalIdentifier.@type\n\n</td><td>\n\nThis value is always `ExternalIdentifierRef`.Data type: String\n\n</td></tr><tr><td>\n\nexternalIdentifier.id\n\n</td><td>\n\nExternal reference such as vendor or correlation ID.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem\n\n</td><td>\n\nList of tasks under the work order.Data type: Array\n\n```\n\"workOrderItem\": [\n   {\n      \"@type\": \"String\",\n      \"action\": \"String\",\n      \"completionDate\": \"String\",\n      \"description\": \"String\",\n      \"id\": \"String\",\n      \"note\": {Object},\n      \"shortDescription\": \"String\",\n      \"state\": \"String\",\n      \"work\": {Object}\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.@type\n\n</td><td>\n\nThis value is always `WorkOrderItem`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.action\n\n</td><td>\n\nAction to perform on the product for the task. Possible values:\n\n-   add\n-   delete\n-   modify\n-   noChange\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.completionDate\n\n</td><td>\n\nDate and time the task was completed.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.description\n\n</td><td>\n\nDescription of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.id\n\n</td><td>\n\nSys\\_id of the task.Table: Work Order Task \\[wm\\_task\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note\n\n</td><td>\n\nList of notes about the task.Data type: Array\n\n```\n\"note\": [\n   {\n      \"@type\": \"String\",\n      \"date\": \"String\",\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.note.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note.date\n\n</td><td>\n\nDate the note was added to the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.note.text\n\n</td><td>\n\nThe note text.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.shortDescription\n\n</td><td>\n\nShort description of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.state\n\n</td><td>\n\nState of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work\n\n</td><td>\n\nDescription of the work required for the task.Data type: Object\n\n```\n\"work\": {\n   \"@type\": \"String\",\n   \"expectedCompletionDate\": \"String\",\n   \"id\": \"String\",\n   \"place\": [Array],\n   \"relatedParty\": [Array],\n   \"scheduledStartDate\": \"String\",\n   \"workforceEmployeeAssignment\": [Array],\n   \"workPriority\": \"String\",\n   \"workType\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.@type\n\n</td><td>\n\nThis value is always `WorkRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.expectedCompletionDate\n\n</td><td>\n\nExpected completion date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.id\n\n</td><td>\n\nSys\\_id of the work type for the task.Table: Work Type \\[wm\\_work\\_type\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place\n\n</td><td>\n\nList of geographic locations associated with the task.```\n\"place\": [\n   {\n      \"@type\": \"String\",\n      \"place\": {Object},\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.@type\n\n</td><td>\n\nThis value is always `RelatedPlaceRefOrValue`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place\n\n</td><td>\n\nDetails about the location.Data type: Object\n\n```\n\"place\": {\n   \"@type\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.@type\n\n</td><td>\n\nThis value is always `GeographicSite`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.place.id\n\n</td><td>\n\nSys\\_id of the location.Table: Location \\[cmn\\_location\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.place.role\n\n</td><td>\n\nRole of this location in the context of the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty\n\n</td><td>\n\nList of support groups for the task.Data type: Array\n\n```\n\"relatedParty\": [\n   {\n      \"@type\": \"String\",\n      \"id\": \"String\",\n      \"name\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.@type\n\n</td><td>\n\nThis value is always `RelatedPartyRef`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.id\n\n</td><td>\n\nSys\\_id of the support group.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.name\n\n</td><td>\n\nName of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.relatedParty.role\n\n</td><td>\n\nRole of the support group.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.scheduledStartDate\n\n</td><td>\n\nScheduled start date for the task.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment\n\n</td><td>\n\nAssignment details for the task.Data type: Array\n\n```\n\"workforceEmployeeAssignment\": [\n   {\n      \"@type\":\"String\",\n      \"id\": \"String\",\n      \"workforceEmployee\": {Object}      \n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.@type\n\n</td><td>\n\nThis value is always `WorkforceEmployeeAssignment`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.id\n\n</td><td>\n\nSys\\_id of the group assigned to the task.Table: Group \\[sys\\_user\\_group\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee\n\n</td><td>\n\nDetails about the employee assigned to the task.Data type: Object\n\n```\n\"workforceEmployee\": {\n   \"@type\": \"String\",\n   \"contactMedium\": [Array],\n   \"id\": \"String\",\n   \"name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.@type\n\n</td><td>\n\nThis value is always `Individual`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium\n\n</td><td>\n\nList of the employee's phone numbers.Data type: Array\n\n```\n\"contactMedium\": [\n   {\n      \"@type\": \"String\",\n      \"phoneNumber\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.@type\n\n</td><td>\n\nThis value is always `PhoneContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.contactMedium.phoneNumber\n\n</td><td>\n\nPhone number for the employee.Data type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforceEmployee.id\n\n</td><td>\n\nSys\\_id of the employee.Table: User \\[sys\\_user\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nworkOrderItem.work.workforceEmployeeAssignment.workforc
[...]
